Deployments.ai Docs
Memory

List memory policies

GET /v1/memory/policies · SDK listMemoryPolicies · CLI deployments memory-policy list

GET
/v1/memory/policies

Requires memory:read.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 200

Header Parameters

x-deployments-environment?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-organization?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

MemoryPageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/memory/policies"
{  "items": [    {}  ],  "nextCursor": "string"}